"""Plotter for the Field Manager API."""


def update_locations_and_request(url, project_id, format, new_locations):
    # Complete JSON data
    data = {
        "location_ids": ["3fa85f64-5717-4562-b3fc-2c963f66afa6"],
        "pdf": {
            "lang": "eng",
            "date_format": "YYYY-MM-DD",
            "date": "",
            "use_controlled_by": False,
            "use_revision": True,
            "report_number_suffix": "",
            "revision": "",
            "paper_size": "A4",
            "plot_scale": "1/100",
            "report_number": "",
            "client_name": "",
            "sort_figures_by": "location",
            "page_number_prefix": "",
            "page_number_start": "1",
            "page_number_prefix_per_method": {
                "CPT": "",
                "DP": "",
                "PZ": "",
                "RCD": "",
                "RP": "",
                "SRS": "",
                "SS": "",
                "SVT": "",
                "TOT": "",
                "WST": "",
            },
            "page_number_start_per_method": {
                "CPT": 1,
                "DP": 1,
                "PZ": 1,
                "RCD": 1,
                "RP": 1,
                "SRS": 1,
                "SS": 1,
                "SVT": 1,
                "TOT": 1,
                "WST": 1,
            },
            "drawn_by": "",
            "controlled_by": "",
            "use_approved_by": True,
            "approved_by": "",
            "show_comment_in_plot": False,
            "projection_system": "",
            "max_pages": -1,
            "color_mode": "grayscale",
            "fill_curve": True,
        },
        "plot": {
            "cpt": {
                "color_mode": "grayscale",
                "color_palette": [],
                "columns": ["qc", "fs", "u2"],
                "cpt_name_column": "cpt_name",
                "crop_depth_axis": False,
                "depth_scale": "1/100",
                "fill_curve": True,
                "lang": "eng",
                "layout": "combined",
                "location_type": "onshore",
                "orientation": "portrait",
                "percentile": 0.975,
                "plot_type": "cpt",
                "scaling_mode": "auto",
                "set_corrected_depth": True,
                "x_axis_position": "bottom",
                "y_axis_length_strategy": "FIT_SCALE_TO_AXIS_LENGTH",
                "y_axis_scale_for_fit_axis_length": "1/200",
            },
            "pz": {
                "color_mode": "color",
                "color_palette": [],
                "group_column": "pz_id",
                "lang": "eng",
                "layout": "individual",
                "legend_column": "pz_legend",
                "location_type": "onshore",
                "name_column": "pz_name",
                "orientation": "portrait",
                "plot_type": "pz",
                "x_axis_position": "bottom",
            },
            "tot": {
                "bedrock_marker_options": {
                    "bedrock_size": 11,
                    "cross_x_placement": [-1.1, 0, 1.1],
                    "horizontal_extent": [-1.4, 1.4],
                },
                "bin_size": 0.2,
                "color_mode": "grayscale",
                "color_palette": [],
                "crop_depth_axis": False,
                "depth_scale": "1/100",
                "fill_curve": True,
                "lang": "eng",
                "location_type": "onshore",
                "orientation": "portrait",
                "plot_type": "tot",
                "x_axis_position": "bottom",
                "y_axis_length_strategy": "FIT_SCALE_TO_AXIS_LENGTH",
                "y_axis_scale_for_fit_axis_length": "1/200",
            },
            "ss": {
                "color_mode": "grayscale",
                "color_palette": [],
                "crop_depth_axis": False,
                "depth_scale": "1/100",
                "fill_curve": True,
                "lang": "eng",
                "location_type": "onshore",
                "orientation": "portrait",
                "plot_type": "ss",
                "x_axis_position": "bottom",
                "y_axis_length_strategy": "FIT_SCALE_TO_AXIS_LENGTH",
                "y_axis_scale_for_fit_axis_length": "1/200",
            },
            "svt": {
                "color_mode": "grayscale",
                "color_palette": [],
                "crop_depth_axis": False,
                "depth_scale": "1/100",
                "fill_curve": True,
                "lang": "eng",
                "location_type": "onshore",
                "orientation": "portrait",
                "plot_type": "svt",
                "x_axis_position": "bottom",
                "y_axis_length_strategy": "FIT_SCALE_TO_AXIS_LENGTH",
                "y_axis_scale_for_fit_axis_length": "1/200",
            },
            "rp": {
                "bedrock_marker_options": {
                    "bedrock_size": 11,
                    "cross_x_placement": [0.1, 0.5, 0.9],
                    "horizontal_extent": [-0.2, 1.2],
                },
                "color_mode": "grayscale",
                "color_palette": [],
                "crop_depth_axis": False,
                "depth_scale": "1/100",
                "fill_curve": True,
                "lang": "eng",
                "location_type": "onshore",
                "orientation": "portrait",
                "plot_type": "rp",
                "x_axis_position": "bottom",
                "y_axis_length_strategy": "FIT_SCALE_TO_AXIS_LENGTH",
                "y_axis_scale_for_fit_axis_length": "1/200",
            },
            "rcd": {
                "bedrock_marker_options": {
                    "bedrock_size": 20,
                    "cross_x_placement": [0.2, 0.5, 0.8],
                    "horizontal_extent": [0.1, 0.9],
                },
                "color_mode": "grayscale",
                "color_palette": [],
                "crop_depth_axis": False,
                "depth_scale": "1/100",
                "fill_curve": True,
                "lang": "eng",
                "location_type": "onshore",
                "orientation": "portrait",
                "plot_type": "rcd",
                "x_axis_position": "bottom",
                "y_axis_length_strategy": "FIT_SCALE_TO_AXIS_LENGTH",
                "y_axis_scale_for_fit_axis_length": "1/200",
            },
            "srs": {
                "bedrock_marker_options": {
                    "bedrock_size": 5,
                    "cross_x_placement": [0.1, 0.5, 0.9],
                    "horizontal_extent": [-0.1, 1.1],
                },
                "bin_size": 0.2,
                "color_mode": "grayscale",
                "color_palette": [],
                "crop_depth_axis": False,
                "depth_scale": "1/100",
                "fill_curve": True,
                "lang": "eng",
                "location_type": "onshore",
                "orientation": "portrait",
                "plot_type": "srs",
                "srs_type": "Jb-tot",
                "x_axis_position": "bottom",
                "y_axis_length_strategy": "FIT_SCALE_TO_AXIS_LENGTH",
                "y_axis_scale_for_fit_axis_length": "1/200",
            },
            "wst": {
                "bedrock_marker_options": {
                    "bedrock_size": 8,
                    "cross_x_placement": [0.2, 0.5, 0.8],
                    "horizontal_extent": [0, 1],
                },
                "bin_size": 0.2,
                "color_mode": "grayscale",
                "color_palette": [],
                "crop_depth_axis": False,
                "depth_scale": "1/100",
                "fill_curve": True,
                "lang": "eng",
                "location_type": "onshore",
                "orientation": "portrait",
                "plot_type": "WST",
                "x_axis_position": "bottom",
                "y_axis_length_strategy": "FIT_SCALE_TO_AXIS_LENGTH",
                "y_axis_scale_for_fit_axis_length": "1/200",
            },
            "dp": {
                "bedrock_marker_options": {
                    "bedrock_size": 8,
                    "cross_x_placement": [0.2, 0.5, 0.8],
                    "horizontal_extent": [0, 1],
                },
                "bin_size": 0.2,
                "color_mode": "grayscale",
                "color_palette": [],
                "crop_depth_axis": False,
                "depth_scale": "1/100",
                "fill_curve": True,
                "lang": "eng",
                "location_type": "onshore",
                "orientation": "portrait",
                "plot_type": "dp",
                "x_axis_position": "bottom",
                "y_axis_length_strategy": "FIT_SCALE_TO_AXIS_LENGTH",
                "y_axis_scale_for_fit_axis_length": "1/200",
            },
        },
        "auto_set_depth": False,
        "methods": ["all"],
    }

    # Update the location_ids
    data["location_ids"] = new_locations

    # Construct the full URL
    full_url = f"{url}/plots/project/{project_id}/plot_sequence/{format}"
    return full_url, data
